import 'package:flutter/widgets.dart';

/// Conversation member
///
/// @author Pierre Hubert

class ConversationMember {
  final int/*!*/ userID;
  final int/*!*/ lastMessageSeen;
  final int/*!*/ lastAccessTime;
  final bool/*!*/ following;
  final bool/*!*/ isAdmin;

  const ConversationMember({
    /*required*/ @required this.userID,
    /*required*/ @required this.lastMessageSeen,
    /*required*/ @required this.lastAccessTime,
    /*required*/ @required this.following,
    /*required*/ @required this.isAdmin,
  })  : assert(userID != null),
        assert(lastMessageSeen != null),
        assert(lastAccessTime != null),
        assert(following != null),
        assert(isAdmin != null);

  Map<String, dynamic> toJson() => {
        'userID': userID,
        'lastMessageSeen': lastMessageSeen,
        'lastAccessTime': lastAccessTime,
        'following': following,
        'isAdmin': isAdmin,
      };

  ConversationMember.fromJSON(Map<String, dynamic> json)
      : userID = json["userID"],
        lastMessageSeen = json["lastMessageSeen"],
        lastAccessTime = json["lastAccessTime"],
        following = json["following"],
        isAdmin = json["isAdmin"];
}
